Subject: bug#33404: failure behavior for "guix package --upgrade"

From: Reed Campbell Meyerson <[email-masked]>
Date: Sat, 17 Nov 2018 23:53:59 +0000

I'm not quite sure how to check, but I don't think I added anything that
wasn't default.

On Fri, Nov 16, 2018 at 9:23 PM Ludovic Courtès <[email-masked]> wrote:

> Hello,
>
> Reed Campbell Meyerson <[email-masked]> skribis:
>
> > I am experiencing some strange behavior when upgrading packages. After a
> > substitution fails, the upgrade will fail at the same point every time
> > until I upgrade that point on its own, and then it will proceed until it
> > potentially fails at a different point.
> >
> > I have attached a screenshot of the output. This was while trying to
> > upgrade qutebrowser, but it happened before when upgrading GHC.
>
> Which substitute server(s) are you using?
>
> It could be that the substitute Guix was trying to fetch was temporarily
> unavailable from the server and eventually came back—hydra.gnu.org has
> been under maintenance a week ago as you might have seen.
>
> Thanks for reporting the issue,
> Ludo’.
>